{{ ansible_managed | comment }}

[Unit]
Description=EBPF Exporter for Prometheus
After=network-online.target
StartLimitInterval=0

[Service]
Type=simple
User={{ ebpf_exporter_system_user }}
Group={{ ebpf_exporter_system_group }}
ExecStart={{ ebpf_exporter_install_directory }}/{{ ebpf_exporter_name }} \
	--config.file {{ ebpf_exporter_install_directory }}/config.yml \
	--web.listen-address={{ ebpf_exporter_listen_address }}
KillMode = process
MemoryLimit = 100M
LimitNOFILE = 10000
Restart = always
RestartSec = 5s
SyslogIdentifier=ebpf_exporter

[Install]
WantedBy=multi-user.target
